#include "../ClientCore/Infomation/DirFile.hpp"
#include <iostream>

int main()
{
    DirFileInfo info;
    DirFileInfo info2;
    info.fullPath = "C:\\Users\\Administrator\\Desktop\\test.txt";

    info.name.resize(1024);
    info.name[0] = 'a';
    info.name[10] = 'd';
    info.name[11] = '\0';
    info.name[12] = 'c';

    info.lastModifyTime = 1610995200;
    info.size = 1024;
    info.permission = 0777;
    info.type = FileType::File;

    std::stringstream ss;

    {
        cereal::BinaryOutputArchive archive(ss);
        archive(info);
    }


    std::string ret = ss.str();
    std::cout << "Serialized size: " << ret.size() << " bytes\n";

    {
        std::stringstream inputSs(ret);
        cereal::BinaryInputArchive inputArchive(inputSs);
        inputArchive(info2);
    }

    return 0;
}